org.bouncycastle.asn1.cmp

## Class OOBCertHash

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cmp.OOBCertHash

All Implemented Interfaces:
  DEREncodable

    public class OOBCertHash
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`CertId` `getCertId()`
`AlgorithmIdentifier` `getHashAlg()`
`static OOBCertHash` `getInstance(java.lang.Object o)`
`DERObject` `toASN1Object()` OOBCertHash ::= SEQUENCE { hashAlg [0] AlgorithmIdentifier OPTIONAL, certId [1] CertId OPTIONAL, hashVal BIT STRING -- hashVal is calculated over the DER encoding of the -- self-signed certificate with the identifier certID. }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static OOBCertHash getInstance(java.lang.Object o)

#### getHashAlg

    public AlgorithmIdentifier getHashAlg()

#### getCertId

    public CertId getCertId()

#### toASN1Object

    public DERObject toASN1Object()

     OOBCertHash ::= SEQUENCE {
                          hashAlg     [0] AlgorithmIdentifier     OPTIONAL,
                          certId      [1] CertId                  OPTIONAL,
                          hashVal         BIT STRING
                          -- hashVal is calculated over the DER encoding of the
                          -- self-signed certificate with the identifier certID.
           }

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.